Gmagick::readimage
Gmagick::readimagefile
Gmagick
PHP Manual

# Gmagick::readimageblob

Reads image from a binary string

### Description

public void Gmagick::readimageblob ( string `$imageContents` [, string `$filename` ] )

Reads image from a binary string.

### Parameters

`imageContents`

  Content of image

`filename`

  The image filename.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.